Bug 1013798 - Unable to delete an user if the user had any active notifications
Unable to delete an user if the user had any active notifications
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Todd Sanders
SAM QE List
:
Depends On: 1013837
Blocks: sam20-tracker 1026936 1026948
  Show dependency treegraph
 
Reported: 2013-09-30 15:37 EDT by sthirugn@redhat.com
Modified: 2017-06-26 16:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1013837 1026936 1026948 (view as bug list)
Environment:
Last Closed: 2017-06-26 16:41:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sthirugn@redhat.com 2013-09-30 15:37:47 EDT
Description of problem:
Unable to delete an user if the user had any active notifications

Version-Release number of selected component (if applicable):
* candlepin-0.8.26-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.26-1.el6sam.noarch
* candlepin-tomcat6-0.8.26-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.3-11.el6sat.noarch
* katello-cli-common-1.4.3-11.el6sat.noarch
* katello-common-1.4.3-18.el6sam_splice.noarch
* katello-configure-1.4.4-5.el6sam.noarch
* katello-glue-candlepin-1.4.3-18.el6sam_splice.noarch
* katello-glue-elasticsearch-1.4.3-18.el6sam_splice.noarch
* katello-headpin-1.4.3-18.el6sam_splice.noarch
* katello-headpin-all-1.4.3-18.el6sam_splice.noarch
* katello-selinux-1.4.4-2.el6sat.noarch
* thumbslug-0.0.34-1.el6sam.noarch
* thumbslug-selinux-0.0.34-1.el6sam.noarch


How reproducible:
Always

Steps to Reproduce:
1. Navigate to SAM 1.3.1
2. Create an user - User1
3. Log in as User1
4. Do any of the user actions for User1 which will create notification: 
Upload manifest (or) Create an ORG (or) Create Activation Key (or) something else
5. Log out and log in back as an other admin user
6. Attempt to remove the User1

Actual results:
UI error thrown (screenshot attached)

Expected results:
No errors thrown

Additional info:
Comment 3 sthirugn@redhat.com 2013-09-30 17:00:16 EDT
WORKAROUND is to remove all the user roles associated with the user.
Comment 4 sthirugn@redhat.com 2013-09-30 17:07:20 EDT
Ignore my Comment 3 above.  The user name is not displayed in UI anymore, but using this username, I can still access the SAM UI.
Comment 5 sthirugn@redhat.com 2013-09-30 17:09:36 EDT
So the only WORKAROUND will be to go the Roles and remove the user manually from each associated role.
Comment 6 Mike McCune 2013-10-03 16:41:18 EDT
see comment:

https://bugzilla.redhat.com/show_bug.cgi?id=1013837#c2
Comment 9 Mike McCune 2016-03-28 19:42:22 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 10 Bryan Kearney 2017-06-26 16:41:27 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.